glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::SocketConnectable Class Reference
Portable Network I/O Functionality

Interface for potential socket endpoints. More...

`#include <giomm/socketconnectable.h>`

Inheritance diagram for Gio::SocketConnectable:
[legend]

## Public Member Functions

virtual | ~SocketConnectable ()
GSocketConnectable* | gobj ()
| Provides access to the underlying C GObject.
const GSocketConnectable* | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr < SocketAddressEnumerator > | enumerate ()
| Creates a SocketAddressEnumerator for connectable.
Glib::RefPtr< const SocketAddressEnumerator > | enumerate () const
| Creates a SocketAddressEnumerator for connectable.
Glib::RefPtr < SocketAddressEnumerator > | proxy_enumerate ()
| Creates a SocketAddressEnumerator for connectable that will return ProxyAddresses for addresses that you must connect to via a proxy.
Glib::RefPtr< const SocketAddressEnumerator > | proxy_enumerate () const
| Creates a SocketAddressEnumerator for connectable that will return ProxyAddresses for addresses that you must connect to via a proxy.
Public Member Functions inherited from Glib::Interface
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes.
| Interface (GObject* castitem)
| Called by constructors of derived classes.
virtual | ~Interface ()
GObject* | gobj ()
const GObject* | gobj () const
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead.
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject* | gobj ()
| Provides access to the underlying C GObject.
const GObject* | gobj () const
| Provides access to the underlying C GObject.
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.
Public Member Functions inherited from sigc::trackable
| trackable (const trackable &src)
trackable & | operator= (const trackable &src)
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | remove_destroy_notify_callback (void *data) const
void | notify_callbacks ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions

| SocketConnectable ()
| You should derive from this class to use it.

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Gio::SocketConnectable > | wrap (GSocketConnectable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members

Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Interface for potential socket endpoints.

Since glibmm 2.24:

## Constructor & Destructor Documentation

Gio::SocketConnectable::SocketConnectable | ( |  | ) |

protected

You should derive from this class to use it.

virtual Gio::SocketConnectable::~SocketConnectable | ( |  | ) |

virtual

## Member Function Documentation

static void Gio::SocketConnectable::add_interface | ( | GType | gtype_implementer | ) |

static

Glib::RefPtr<SocketAddressEnumerator> Gio::SocketConnectable::enumerate | ( |  | ) |

Creates a SocketAddressEnumerator for connectable.

Since glibmm 2.22:

Returns
  A new SocketAddressEnumerator.

Glib::RefPtr<const SocketAddressEnumerator> Gio::SocketConnectable::enumerate | ( |  | ) | const

Creates a SocketAddressEnumerator for connectable.

Since glibmm 2.22:

Returns
  A new SocketAddressEnumerator.

static GType Gio::SocketConnectable::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GSocketConnectable* Gio::SocketConnectable::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GSocketConnectable* Gio::SocketConnectable::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

Glib::RefPtr<SocketAddressEnumerator> Gio::SocketConnectable::proxy_enumerate | ( |  | ) |

Creates a SocketAddressEnumerator for connectable that will return ProxyAddresses for addresses that you must connect to via a proxy.

If connectable does not implement g_socket_connectable_proxy_enumerate(), this will fall back to calling g_socket_connectable_enumerate().

Since glibmm 2.26:

Returns
  A new SocketAddressEnumerator.

Glib::RefPtr<const SocketAddressEnumerator> Gio::SocketConnectable::proxy_enumerate | ( |  | ) | const

Creates a SocketAddressEnumerator for connectable that will return ProxyAddresses for addresses that you must connect to via a proxy.

If connectable does not implement g_socket_connectable_proxy_enumerate(), this will fall back to calling g_socket_connectable_enumerate().

Since glibmm 2.26:

Returns
  A new SocketAddressEnumerator.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::SocketConnectable > wrap | ( | GSocketConnectable * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.